Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge]Failed Patch cups-1.3.11-pdf-m4.patch(résolu)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Wed Dec 01, 2010 7:06 pm    Post subject: [emerge]Failed Patch cups-1.3.11-pdf-m4.patch(résolu) Reply with quote

(ce sujet peut ne pas s'afficher correctement et dans sa totalite, il est aussi possible que les accents et les apostrophes ne s'affichent pas)
Bonjour,
Je viens d'installer gentoo, jai fini l'etape 11, le systeme s'amorce bien et le serveur X demare de meme que dwm et xterm. Sauf que voila :
Quand j'essaye d'installer la plus part des logiciels (firefox, kdebase-startkde, links), emerge m'emerge bien, c,a donne m^eme l'iression que c,a va avancer sans soucis mais au bout de quelques longues minut a l'issue des quelles je viens inspecter le tout croyant que c,a c'est bien passe, je me rends compte qu'il y'a une flope de points rouge dont voici les premiers :
* Failed Patch: cups-1.3.11-pdf-m4. patch !
* ( /usr/portage/net-print/cups/files/cups-1.3.11-pdf-m4.patch )
*
* Include in your bugreport the contents of :
* /var/tmp/portage/net-print/cups-1.3.11-r4/temp/cups-1.3.11-pdf-m4.patch.out

Je ne vois vraiment pas'ou aurait pu venir ce message, dans la mesure ou j'ai scrupuleursement et meticuleusement suivit les instructions du handbook, toujours est-t-il que j'ai eu beau reduire le nombre de use, mettre a jour l'arbre de portage, faire des emerge -vaN world, ce probleme perssiste si bien, me contraignant a venir demander votre aimable aide.
Sachant que voici le contenu de ce fameux cups-1.3.11-pdf-m4.patch.out : http://pastebin.ca/2007761
Merci de votre assistance dans cette periode chaiere dans la vie d'un gentooiste,
A bientot, bonne jonee !
(fin du post)


Last edited by Napoleon on Fri Dec 03, 2010 11:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Dec 01, 2010 9:29 pm    Post subject: Reply with quote

'alute

là avec ces infos malheureusement on va pas pouvoir t'aider beaucoup - et le pastbin semble inaccessible - :(

Donc si tu peux à minima : colle ton #emerge --info et la sortie de #emerge -puDNv world

En attendant si ce n'est pas possible : arrête d'installer des package à tout va regarde ce qui cloche et on avise en fonction.

1°) lance un #revdep-rebuild -iv
1bis°) regarde les elogs voir s'il n'y a pas qqch à faire (visualisable avec le package elogv par exemple)
2°) idem avec #etc-update (ou dispatch-conf si tu préfères) mais sans écraser les fichiers en masse sans comprendre !!
3°) si tout va bien relances sucessivement #emerge -pv <package> et ainsi dessuite jusqu'a trouver celui qui te bloque éventuellement
3°-Alt.) regarde ce que te dis le man emerge à propos des options --skipfirst et --keep-going

Y'a d'autres choses encore à en dire mais on verra plus tard
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Wed Dec 01, 2010 10:00 pm    Post subject: Reply with quote

boozo wrote:
'alute

là avec ces infos malheureusement on va pas pouvoir t'aider beaucoup - et le pastbin semble inaccessible - :(

Donc si tu peux à minima : colle ton #emerge --info et la sortie de #emerge -puDNv world

En attendant si ce n'est pas possible : arrête d'installer des package à tout va regarde ce qui cloche et on avise en fonction.

1°) lance un #revdep-rebuild -iv
1bis°) regarde les elogs voir s'il n'y a pas qqch à faire (visualisable avec le package elogv par exemple)
2°) idem avec #etc-update (ou dispatch-conf si tu préfères) mais sans écraser les fichiers en masse sans comprendre !!
3°) si tout va bien relances sucessivement #emerge -pv <package> et ainsi dessuite jusqu'a trouver celui qui te bloque éventuellement
3°-Alt.) regarde ce que te dis le man emerge à propos des options --skipfirst et --keep-going

Y'a d'autres choses encore à en dire mais on verra plus tard

Merci d'avoir repondu boozo. Deja sache que je n'emerge plus rien pour la bonne raison que je ne le peux pas d'ou ce sujet :D enfin si j'arrive a emerger quelques petits trucs de base mais sinon rien qui detruise le monde,
Donc pour le fameux fichier que j'ai essayer de paster voici une autre tentative : http://pastebin.ca/2008074 .
pour emerge --info voici le rendu : http://paste.pocoo.org/show/298696/ . voici le rendu de emerge -puDNv world (
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Wed Dec 01, 2010 10:08 pm    Post subject: Reply with quote

boozo wrote:
'alute

là avec ces infos malheureusement on va pas pouvoir t'aider beaucoup - et le pastbin semble inaccessible - :(

Donc si tu peux à minima : colle ton #emerge --info et la sortie de #emerge -puDNv world

En attendant si ce n'est pas possible : arrête d'installer des package à tout va regarde ce qui cloche et on avise en fonction.

1°) lance un #revdep-rebuild -iv
1bis°) regarde les elogs voir s'il n'y a pas qqch à faire (visualisable avec le package elogv par exemple)
2°) idem avec #etc-update (ou dispatch-conf si tu préfères) mais sans écraser les fichiers en masse sans comprendre !!
3°) si tout va bien relances sucessivement #emerge -pv <package> et ainsi dessuite jusqu'a trouver celui qui te bloque éventuellement
3°-Alt.) regarde ce que te dis le man emerge à propos des options --skipfirst et --keep-going

Y'a d'autres choses encore à en dire mais on verra plus tard

Merci d'avoir repondu boozo. Deja sache que je n'emerge plus rien pour la bonne raison que je ne le peux pas d'ou ce sujet :D enfin si j'arrive a emerger quelques petits trucs de base mais sinon rien qui detruise le monde,
Donc pour le fameux fichier que j'ai essayer de paster voici une autre tentative : http://pastebin.ca/2008074 .
pour emerge --info voici le rendu : http://paste.pocoo.org/show/298696/ . voici le rendu de emerge -puDNv world a propo, ne serait-ce pas une idee que d'essayer d'emerger sans -D ?).
D'autre part, je n'ai pas la commande revdep-rebuild et pour etc-update, ben je ne sais pas m'en servir :D.
enfin pour elogv (que j'ai reussi a faire emerger pour l'occasion !) il me dit qu'il n'y a aucun fichier elog dans /var/log/portage/elog .
Sur ce, je vais voir ce que donne emerge sans le USE cups (si tant est il est deja).

Voila, j'espere avoir fourni tout le ncessaire, du moins j'ai essayer de faire de mon mieux,
a bientot
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Dec 01, 2010 11:30 pm    Post subject: Reply with quote

Je pense que tu es tombé par malchance sur un commit hasardeux vu le log que tu as donné :(
D'après le changelog de cups au 1/12/2010, ce patch est tout frais (cf.http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-print/cups/ChangeLog?view=markup) l'ajout était peut-être un chouilla précipité (?)

Je n'ai pas investigué plus ceci dit mais je te conseillerai d'attendre et de refaire un sync dans 1/2 jours pour retenter l'emerge de cups - si c'est çà la correction ne se fera pas trop attendre
En attendant, joue du --resume --skipfirst avec emerge pour avancer la compilation sur ce qui n'en dépendra pas - en espérant que tu n'en ais pas trop qui le requiert -

Au fait, rajoute un pastbin sur world qu'on se fasse une idée de ce qui reste à faire

Par ailleurs :

°) #revdep-rebuild permet de recontruire les dépendances brisées lors d'une installation/Màj d'un package et il provient de app-portage/gentoolkit -> Donc a installer d'urgence ! ce package est vital sur gentoo :wink:

°°) #etc-update (ou dispatch-conf) -> c'est pour réaliser la mise à jour des fichiers protégés d'écrasement notamment les fichiers de conf dans /etc (d'où son nom) ; les scripts d'init ; ...

°°°) #elogv devrait te lire les logs d'emerge seulement s'il ne trouve pas ce fichier... te donne une piste : regarde ton make.conf et ajoute çà si ce n'est pas fait :
Quote:
PORT_LOGDIR="/var/log/portage"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_ELOG_CLASSES="warn error info log qa"


ps/ Règle N°1 sur gentoo : Lire la doc ; encore, encore, encore, ... et quand on crois tout comprendre, c'est là qu'il faut (re)commencer à lire la doc - même après des années de pratique :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8132
Location: ~Brussels - Belgique

PostPosted: Thu Dec 02, 2010 6:57 am    Post subject: Reply with quote

boozo wrote:
ps/ Règle N°1 sur gentoo : Lire la doc ; encore, encore, encore, ... et quand on crois tout comprendre, c'est là qu'il faut (re)commencer à lire la doc - même après des années de pratique :wink:


Surtout que la doc se modifie toute seule, sans cirer gare, et que des trucs importants s'y ajoutent, et qu'en cas de problème, on se fait allumer au bazooka par les devs : "mais 'tain t'es lourd ! t'as pas lu la doc ou quoi ???".

Vérifie aussi la version des docs en FR (en haut à droite). Parfois elles sont tellement vieilles que les peintures de Lascaux semblent être du Kadinsky à côté...
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 1:26 pm    Post subject: Reply with quote

boozo wrote:
Je pense que tu es tombé par malchance sur un commit hasardeux vu le log que tu as donné :(
D'après le changelog de cups au 1/12/2010, ce patch est tout frais (cf.http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-print/cups/ChangeLog?view=markup) l'ajout était peut-être un chouilla précipité (?)
Ben moi j'ai rien fait moi ! je voulais juste emerger kdebase-statkde !

boozo wrote:
Je n'ai pas investigué plus ceci dit mais je te conseillerai d'attendre et de refaire un sync dans 1/2 jours pour retenter l'emerge de cups - si c'est çà la correction ne se fera pas trop attendre
En attendant, joue du --resume --skipfirst avec emerge pour avancer la compilation sur ce qui n'en dépendra pas - en espérant que tu n'en ais pas trop qui le requiert -

il y'a pas moyen de rétrograder les versions des trucs qui nécessitent cups ?


boozo wrote:
Au fait, rajoute un pastbin sur world qu'on se fasse une idée de ce qui reste à faire
quelles options dois-je ajouté à emerge avec le pastbin sur world ?




boozo wrote:
°) #revdep-rebuild permet de recontruire les dépendances brisées lors d'une installation/Màj d'un package et il provient de app-portage/gentoolkit -> Donc a installer d'urgence ! ce package est vital sur gentoo :wink:
j'ai trouver le paquet qui installe revdep et voici ce que j'ai en le lançant (mais je ne sais pas si c'est instructif) :
Code:
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 100% ]                 

 * Dynamic linking on your system is consistent... All done.



boozo wrote:
°°) #etc-update (ou dispatch-conf) -> c'est pour réaliser la mise à jour des fichiers protégés d'écrasement notamment les fichiers de conf dans /etc (d'où son nom) ; les scripts d'init ; ...
Justement, j'ai peur d'écraser des fichiers dont je ne connais pas l'utillité…

[quote="boozo"]°°°) #elogv devrait te lire les logs d'emerge seulement s'il ne trouve pas ce fichier... te donne une piste : regarde ton make.conf et ajoute çà si ce n'est pas fait :
Quote:
PORT_LOGDIR="/var/log/portage"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_ELOG_CLASSES="warn error info log qa"
Mon make.conf qui jusque la était comme ça, je le met à jour, au passage, comme j'ai un os 32bits qui tourne sur un cpu 64bits j'ai vu dans la doc que la variable CFLAGS n'était pas correcte, j'essaye de retrouver le lien.

boozo wrote:
ps/ Règle N°1 sur gentoo : Lire la doc ; encore, encore, encore, ... et quand on crois tout comprendre, c'est là qu'il faut (re)commencer à lire la doc - même après des années de pratique :wink:
Je l'ai lue, bien lue, entre les lignes, méticuleusement, j'ai suivit le chemin tout tracé par le handbook, normalement, je dois exécuté la doc relative au bureau, avant d'apprendre ces choses la, le problème est que j'ai eu ce contre temps qui pour être résolu implique que je connaisse les doc suivantes alors même que je ne suis pas sensé y être arrivé :/[/url]


EDIT : voici le message complet que j'ai quand je veux emerger links par exemple :

Code:
# emerge links
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 7) net-print/cups-1.3.11-r4
openpty failed: 'out of pty devices'
 * cups-1.3.11-source.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...            [ ok ]
 * Package:    net-print/cups-1.3.11-r4
 * Repository: gentoo
 * Maintainer: printing@gentoo.org
 * USE:  X acl elibc_glibc jpeg kernel_linux linguas_fr pam perl png python ssl userland_GNU x86
>>> Unpacking source...
>>> Unpacking cups-1.3.11-source.tar.bz2 to /var/tmp/portage/net-print/cups-1.3.11-r4/work
>>> Source unpacked in /var/tmp/portage/net-print/cups-1.3.11-r4/work
>>> Preparing source in /var/tmp/portage/net-print/cups-1.3.11-r4/work/cups-1.3.11 ...
 * Applying cups-1.3.0-configure.patch ...                               [ ok ]
 * Applying cups-1.3.7-backend-https.patch ...                           [ ok ]
 * Applying cups-1.3.10-str3178.patch ...                                [ ok ]
 * Applying cups-1.3.11-str3367-security-1.3v2.patch ...                 [ ok ]
 * Applying cups-1.3.11-str3401-security-1.3v2-regression.patch ...      [ ok ]
 * Applying cups-1.3.11-str3200.patch ...                                [ ok ]
 * Applying cups-1.3.11-pdf-m4.patch ...

 * Failed Patch: cups-1.3.11-pdf-m4.patch !
 *  ( /usr/portage/net-print/cups/files/cups-1.3.11-pdf-m4.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/net-print/cups-1.3.11-r4/temp/cups-1.3.11-pdf-m4.patch.out

 * ERROR: net-print/cups-1.3.11-r4 failed:
 *   Failed Patch: cups-1.3.11-pdf-m4.patch!
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 3529:  Called epatch '/usr/portage/net-print/cups/files/cups-1.3.11-pdf-m4.patch'
 *   environment, line 1950:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of 'emerge --info =net-print/cups-1.3.11-r4',
 * the complete build log and the output of 'emerge -pqv =net-print/cups-1.3.11-r4'.
 * The complete build log is located at '/var/log/portage/net-print:cups-1.3.11-r4:20101202-132758.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/cups-1.3.11-r4/temp/environment'.
 * S: '/var/tmp/portage/net-print/cups-1.3.11-r4/work/cups-1.3.11'

>>> Failed to emerge net-print/cups-1.3.11-r4, Log file:

>>>  '/var/log/portage/net-print:cups-1.3.11-r4:20101202-132758.log'
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Dec 02, 2010 1:34 pm    Post subject: Reply with quote

[off] Moi je trouve que la tendance s'est inversée -> bcp moins de soucis avec le 64bits qu'avec le 32 (sauf peut-être pour le flash :evil: ) [/off]
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 1:41 pm    Post subject: Reply with quote

Poussin, je me fous de flash :D
Le truc, c'est que, et j'en ai discuté sur le premier sujet que j'ai créé, j'ai un contrôleur graphique SIS qui a un assez mauvais pilote, du moins il peut marcher très bien dans certaines conditions sauf la mienne au vue de mon écran aux dimensions exotique (22 pouces).
Et donc, il y'a de grandes chances que la résolution de mon écran ne sois géré correctement par mon contrôleur graphique que par le pilote 32bits.

(j'essaye de retrouver le lien de tout ça)

Edit: au détour d'un salon IRC on m'a conseillé de ne pas tout reprendre à 0 car je n'apprendrais rien et que de toute façon nous ne somme pas des windowsien qui "re-formatons" tous les quatre matins, sauf que bien plus tard, un autre intervenant m'a conseillé qu'au vu de la situation où j'étais il serait mieux de reprendre à 0 pour tout faire proprement et ne pas avoir à "re-formater" comme un windowsien… 8O . Mais quand même, désormais je comprends mieux les mécanismes de gentoo, une ré-installation pure et simple ne sera que plus propre, plus rapide et épargnera à tout le monde mes nombreuses questions :D . Non ? Apres quoi je pourrais m'approfondir d'avantage dans la doc.
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Dec 02, 2010 2:22 pm    Post subject: Reply with quote

Ce serait dommage de recommencer depuis le début. Cela doit être une bêtise ton problème compilation


Pour poursuivre ton installation, je te propose d'enlever cups de ton USE: (USE="$USE -cups" dans ton make.conf par exemple). Tu auras donc un système sans le support de l'impression, mais je parie que pour l'instant, tu t'en fous :)
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 2:47 pm    Post subject: Reply with quote

Poussin wrote:
Ce serait dommage de recommencer depuis le début. Cela doit être une bêtise ton problème compilation


Pour poursuivre ton installation, je te propose d'enlever cups de ton USE: (USE="$USE -cups" dans ton make.conf par exemple). Tu auras donc un système sans le support de l'impression, mais je parie que pour l'instant, tu t'en fous :)
je n'ai pas déffinit cups dans USE mais je vais voir ce que ça donne avec -cups. et en effet je me fout des imprimantes à plus forte raison que je n'en ai pas et que je n'ai pas d'argent pour en avoir :D
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Dec 02, 2010 2:55 pm    Post subject: Reply with quote

Pourtant, il est bien dans ton emerge --info: http://paste.pocoo.org/show/298696/ :)

Le profil que tu as choisi défini des flags par défault. Toute la technique consiste à adapter ton make.conf, pour que ton emerge --info contienne ce que tu souhaites.

Perso (c'est mon avis et je le partage :p), pour une première installation, je préfére avoir un minimum dans les USE, et ajouter petit à petit selon les besoins. Quand tu seras plus familier avec gentoo, tu pourras configurer facilement USE avant toute installation de paquet et installé ta distrib complète en quelques commandes :p

Mais comme répété plusieurs fois par d'autres -> lire la doc, lire les elog, lire la doc, lire les elog, eselect news, lire la doc, lire les elog :roll:


edit: je viens de mettre à jour une machine avec la version -r4 de cups, et le patch qui te pose problème est passé sans souci (en amd64)
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 3:10 pm    Post subject: Reply with quote

mirracle poussin !

en effet, un petit -cups dans use a semble-t-il résolu l'affaire, du moins emerge links qui posait se problème n'en pose plus avec -cups, je vais essayer d'emerger d'autres paquait qui ne fonctionnaient pas.
Cependant, un jour ou l'autre, j'aurais forcement besoin de cups et je ne m'explique pas comment il ne fonctionne pas chez moi alors qu'il fonctionne parfaitement chez d'autres, je suspectes des problèmes plus profonds dans mon système.

Je vais installer un DM pour être plus à l'aise, après quoi je ne fais plus rien jusqu'à l'assuré que tout est OK.
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1906
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Thu Dec 02, 2010 3:50 pm    Post subject: Reply with quote

Napoleon wrote:
un petit -cups dans use a semble-t-il résolu l'affaire, du moins emerge links qui posait se problème n'en pose plus avec -cups, je vais essayer d'emerger d'autres paquait qui ne fonctionnaient pas

As-tu bien compris que ce n'est pas l'installation de links qui posait problème mais l'installation d'une de ses dépendances (lorsque le paramètre cups est dans la variable USE) : CUPS. Il suffit de lire ce que tu nous postes pour le voir !
Code:
>>> Emerging (1 of 7) net-print/cups-1.3.11-r4


Pour ce qui est de dispatch-conf (qui est vraiment plus simple d'utilisation que etc-update), installe donc colordiff (pour que les différences ressortent), lis la section correspondante de la documentation officielle (que tu aurais déjà du lire puisque elle se trouve dans la partie 3 du manuel d'installation) et lance toi (ou plutôt lance dispatch-conf !). Tu ne peux pas administrer Gentoo GNU/Linux sans t'occuper des fichiers de configuration. Il te faut faire attention à ceux que tu modifies à la main. Pour les autres, un écrasement par les nouvelles versions devrait convenir.
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 4:12 pm    Post subject: Reply with quote

Magic Banana wrote:
As-tu bien compris que ce n'est pas l'installation de links qui posait problème mais l'installation d'une de ses dépendances (lorsque le paramètre cups est dans la variable USE) : CUPS. Il suffit de lire ce que tu nous postes pour le voir !
Code:
>>> Emerging (1 of 7) net-print/cups-1.3.11-r4
Oui j'ai parfaitement compris que cette dépendance posait problème, en revanche, ce qui me torture l'esprit c'est de savoir pourquoi justement elle ne fonctionnerait pas chez moi alors que plusieurs personnes qui ont vue mon problème m'ont assuré l'avoir installé sans soucis. Encore que dans mon cas c'est pas grave vue que je n'ai pas d'imprimante, mais c'est quand même un dysfonctionnement que je vais devoir réglé d'une manière ou d'une autre, je me demande même si ça ne cache d'autre problèmes plus profonds et que je ne devrais pas continuer avant de les avoir identifiés.

Magic Banana wrote:
Pour ce qui est de dispatch-conf (qui est vraiment plus simple d'utilisation que etc-update), installe donc colordiff (pour que les différences ressortent), lis la section correspondante de la documentation officielle
Si colordiff colorie la sortie standard d'emerge c'est déjà le cas chez moi :D

Magic Banana wrote:
(que tu aurais déjà du lire puisque elle se trouve dans la partie 3 du manuel d'installation) et lance toi (ou plutôt lance dispatch-conf !). Tu ne peux pas administrer Gentoo GNU/Linux sans t'occuper des fichiers de configuration. Il te faut faire attention à ceux que tu modifies à la main. Pour les autres, un écrasement par les nouvelles versions devrait convenir.
Crois bien, que je ne jamais eu peur de lire la documentation, je compte vraiment le faire ! j'espérais juste avoir un peut de confort contemporain et graphique avant de m'y lancé :D
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Dec 02, 2010 4:18 pm    Post subject: Reply with quote

Napoleon wrote:

Magic Banana wrote:
Pour ce qui est de dispatch-conf (qui est vraiment plus simple d'utilisation que etc-update), installe donc colordiff (pour que les différences ressortent), lis la section correspondante de la documentation officielle
Si colordiff colorie la sortie standard d'emerge c'est déjà le cas chez moi :D


Non, celle de dispatch-conf (ça met en évidence les différences entre anciens fichiers de conf, et nouveaux)
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 6:48 pm    Post subject: Reply with quote

voila, j'ai mis -cups dans USE et puis après j'ai fait emerge -auDN world. Ça a bien mouliné, pendant ce temps là je lisais la doc (très instructif :D), et puis ça s'est arrêté net au message suivant :

Code:
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4/config.log
 * ERROR: x11-libs/gtksourceview-2.10.4 failed:
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 1489:  Called gnome2_src_configure
 *   environment, line 1238:  Called econf '--disable-gtk-doc'
 *     ebuild.sh, line  552:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =x11-libs/gtksourceview-2.10.4',
 * the complete build log and the output of 'emerge -pqv =x11-libs/gtksourceview-2.10.4'.
 * The complete build log is located at '/var/log/portage/x11-libs:gtksourceview-2.10.4:20101202-183942.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/gtksourceview-2.10.4/temp/environment'.
 * S: '/var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4'

>>> Failed to emerge x11-libs/gtksourceview-2.10.4, Log file:

>>>  '/var/log/portage/x11-libs:gtksourceview-2.10.4:20101202-183942.log'

 * Regenerating GNU info directory index...
 * Processed 112 info files.
et voici /var/log/portage/x11-libs:gtksourceview-2.10.4:20101202-183942.logDécidement, ça n'en finit pas :/
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Dec 02, 2010 6:53 pm    Post subject: Reply with quote

intltool est-il installé?

edit: non je raconte des conneries... XML-Parser est-il installé?
Back to top
View user's profile Send private message
Ezka
Guru
Guru


Joined: 17 Feb 2005
Posts: 352
Location: par là, mais vraiment ...

PostPosted: Thu Dec 02, 2010 7:51 pm    Post subject: Reply with quote

Oué ça c'est rien, le log te le dit il lui manque le parser XML de perl :

Code:
emerge -vtaD1 dev-perl/XML-Parser


Ce qui est bizzare c'est que dev-util/intltool ne te l'ai pas installé ; c'est un peu une dépendance directe chez moi :
Code:
ezka@Raven ~ $ equery g --depth=1 dev-util/intltool
 * Searching for intltool in dev-util ...

 * dependency graph for dev-util/intltool-0.41.1
 `--  dev-util/intltool-0.41.1  ~amd64
  `--  dev-lang/perl-5.12.2-r4  (>=dev-lang/perl-5.8.1) amd64
  `--  dev-perl/XML-Parser-2.40  (dev-perl/XML-Parser) ~amd64
  `--  sys-devel/gettext-0.18.1.1-r1  (sys-devel/gettext) ~amd64
[ dev-util/intltool-0.41.1 stats: packages (4), max depth (0) ]


Essaie avant un petit emerge -vtaDN1 dev-util/intltool

Pour ce qui est de cups ... très étrange =s
_________________
Ez.
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Thu Dec 02, 2010 8:18 pm    Post subject: Reply with quote

je fais ce emerge -vtaDN1 dev-util/intltool mais quand même, je me demande si c'est pas téllement le bordel chez mieux qu'il serait plus salutaire (et instructif) et stable de reprendre à zéro ?

EDIT:en essaillant d'installer intltools j'ai eu le message d'erreur :

Code:
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4/config.log
 * ERROR: x11-libs/gtksourceview-2.10.4 failed:
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 1489:  Called gnome2_src_configure
 *   environment, line 1238:  Called econf '--disable-gtk-doc'
 *     ebuild.sh, line  552:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =x11-libs/gtksourceview-2.10.4',
 * the complete build log and the output of 'emerge -pqv =x11-libs/gtksourceview-2.10.4'.
 * The complete build log is located at '/var/log/portage/x11-libs:gtksourceview-2.10.4:20101202-201928.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/gtksourceview-2.10.4/temp/environment'.
 * S: '/var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4'

>>> Failed to emerge x11-libs/gtksourceview-2.10.4, Log file:

>>>  '/var/log/portage/x11-libs:gtksourceview-2.10.4:20101202-201928.log'
et voici /var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4/config.log
Back to top
View user's profile Send private message
Ezka
Guru
Guru


Joined: 17 Feb 2005
Posts: 352
Location: par là, mais vraiment ...

PostPosted: Thu Dec 02, 2010 10:08 pm    Post subject: Reply with quote

Vraiment là ... je ne sais pas trop.

Perso j'irai sur un revdep-rebuild et rebelote "pour voir". Si toujours pas, et comme tu as dit vouloir utiliser kde, peut-être essayer un -gtk dans tes USE ; mais attention ça ne veut pas dire que tu ne vas retomber sur ces problèmes.

Si tu pars sur -gtk, regarde quel paquet te met dedans avec x11-libs/gtksourceview grâce à la commande equery. Pour info chez moi c'est git et son flag gtk uniquement, donc rajouter une ligne dans package.use pour le désactiver sur ce/ces paquet(s). Ça permettra de ne pas installer gtksourceview mais bon ... ce n'est forcément la meilleure des solutions (mais ça peut en être une lol).

Je ne suis pas trop d'avis de tout ré-installer à la première fausse note ... sinon tu apprendras jamais rien. C'est beaucoup plus sympa d'avoir un système qui marche, même si tu as dû le bricoler 40 fois pour y arriver. Imparfait, tordu mais fonctionnel bref c'est ton système =D et y en a pas deux comme le tien =)
_________________
Ez.
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Dec 02, 2010 10:46 pm    Post subject: Reply with quote

Napoleon wrote:
Magic Banana wrote:

As-tu bien compris que ce n'est pas l'installation de links qui posait problème mais l'installation d'une de ses dépendances (lorsque le paramètre cups est dans la variable USE) : CUPS. Il suffit de lire ce que tu nous postes pour le voir !
Code:
>>> Emerging (1 of 7) net-print/cups-1.3.11-r4

Oui j'ai parfaitement compris que cette dépendance posait problème, en revanche, ce qui me torture l'esprit c'est de savoir pourquoi justement elle ne fonctionnerait pas chez moi alors que plusieurs personnes qui ont vue mon problème m'ont assuré l'avoir installé sans soucis. Encore que dans mon cas c'est pas grave vue que je n'ai pas d'imprimante, mais c'est quand même un dysfonctionnement que je vais devoir réglé d'une manière ou d'une autre, je me demande même si ça ne cache d'autre problèmes plus profonds et que je ne devrais pas continuer avant de les avoir identifiés.

Je t'avais conseillé d'attendre pour cups quelques posts plus haut - qu'il s'agissait probablement d'un commit "à la RACHE" vu le log, et la date du changelog - et de refaire un sync après 1/2 jours -> ben sur b.g.o ce même jour on peut avoir une confirmation et le pourquoi les autres personnes qui n'ont pas fait de sync le 1/12 n'ont pas eu de pbs particuliers avec cups...

Donc 1° refait un #emerge --sync ; vire ce -cups de je ne sais pas trop ou tu l'a mis et reprend dans l'ordre les choses pour world on verra ensuite pour remettre d'aplomb quand tu auras un environnement graphique (et relu la doc :twisted: )

btw, il faut prendre l'habitude de coller l'erreur en elle-même et non pas le call stack qui n'indique rien d'utile pour trouver une cause ; il en est juste l'aboutissement. L'erreur en question se trouve quelques lignes au dessus comme tu peux le voir dans le build.log - mais il n'est (le plus souvent) pas nécessaire de le mettre en entier sauf cas ou usage spécifique :wink:

edit: dsl bbcode me fait des misères ce soir :/
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1906
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Fri Dec 03, 2010 12:59 am    Post subject: Reply with quote

Dans ton /var/tmp/portage/x11-libs/gtksourceview-2.10.4/work/gtksourceview-2.10.4/config.log, à la fin de la section "Core tests" (donc juste avant que l'erreur ne survienne), on peut lire :
Code:
configure:11695: error: XML::Parser perl module is required for intltool

Donc dev-perl/XML-Parser ne semble pas installé sur ton système... ce qui est pour le moins curieux puisque l'ebuild de dev-util/intltool (dont dépend x11-libs/gtksourceview) l'indique bien comme dépendance :
Dépendances de dev-util/intltool:
DEPEND=">=dev-lang/perl-5.8.1
   dev-perl/XML-Parser"


Histoire que l'on comprenne quelque chose, montre nous donc ce que renvoient ces deux commandes :
Prétendre l'installation de dev-perl/XML-Parser:
emerge -p dev-perl/XML-Parser

Prétendre l'installation de dev-util/intltool:
emerge -p dev-util/intltool
Back to top
View user's profile Send private message
Napoleon
Apprentice
Apprentice


Joined: 03 Nov 2010
Posts: 283

PostPosted: Fri Dec 03, 2010 12:48 pm    Post subject: Reply with quote

boozo wrote:
Je t'avais conseillé d'attendre pour cups quelques posts plus haut - qu'il s'agissait probablement d'un commit "à la RACHE" vu le log, et la date du changelog - et de refaire un sync après 1/2 jours -> ben sur b.g.o ce même jour on peut avoir une confirmation et le pourquoi les autres personnes qui n'ont pas fait de sync le 1/12 n'ont pas eu de pbs particuliers avec cups...
Pemet moi de douter de l'efficacité de cette méthode car, si j'en crois certains, ils avaient installer ce cups le même jour que moi sans avoir de problème particulier (encore qu'ils utilisaient une autre architecture mais bon).



boozo wrote:
Donc 1° refait un #emerge --sync ; vire ce -cups de je ne sais pas trop ou tu l'a mis et reprend dans l'ordre les choses pour world on verra ensuite pour remettre d'aplomb
Je fais ça.


boozo wrote:
quand tu auras un environnement graphique (et relu la doc :twisted: )
en fait, avec le -cups en USE, la plus part des paquets qui étaient bloqués ne le sont plus, j'ai pu installer firefox, en théorie je pourrait installer KDE mais vue le b*rdel que j'ai je préfère ne pas trop émerger pour l'instant, surtout un paquet aussi lourd de conséquences que KDE. Pour l'instant je suis chrooté sur ma gentoo depuis un autre système depuis lequel je suis à mon aise.


boozo wrote:
btw, il faut prendre l'habitude de coller l'erreur en elle-même et non pas le call stack qui n'indique rien d'utile pour trouver une cause ; il en est juste l'aboutissement. L'erreur en question se trouve quelques lignes au dessus comme tu peux le voir dans le build.log - mais il n'est (le plus souvent) pas nécessaire de le mettre en entier sauf cas ou usage spécifique :wink:
Je retiens le conseil ;)

@Magic Banana

voici le rendu de tes commandes :

Code:
# emerge -p dev-perl/XML-Parser

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-perl/XML-Parser-2.36-r1


Code:
# emerge -p dev-util/intltool

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-util/intltool-0.41.1


(Eh, je ne sais pas si c'est une bonne idée, mais je rappèle que l'autre option que j'ai est de ré-installer le système, maintenant que j'ai compris certaines choses, je ferais moins d'erreur, mais bon, je dis ça, j'dis rien :D )
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Fri Dec 03, 2010 2:31 pm    Post subject: Reply with quote

On ne sera probablement pas d'accord avec moi, mais je vais le dire quand même. Je trouve que ce n'est pas une bonne idée d'installer tout depuis le chroot. Une fois ce qui est nécessaire installer, autant redémarrer dans ton nouvel environnement et tout installer depuis cet endroit. J'ai jadis utilisé ta méthode (en 2004, ça a peut-être changé) mais j'ai eu des soucis.

Je ne pense pas que tu doives réinstallé tout depuis le début. Gentoo n'est jamais mal installé. Malgré ce que tu en penses, je suis d'accord avec boozo pour dire que tu as du tombé sur une version de l'arbre portage avec une coquille dedans (à une heure près ça peut avoir été corrigé).

Si tu as encore un soucis avec XML-parser. Si cela n'a pas été fait, tu peux toujours emerge -av1 XML-parser. Si cela a été fait: perl-cleaner --all
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum